Bug 468336 - oowriter crashes converting a certain HTML table layout to MSWord format
oowriter crashes converting a certain HTML table layout to MSWord format
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 03:59 EDT by Anton
Modified: 2008-10-31 06:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-31 06:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
html file which crashes oowriter (5.33 MB, application/octet-stream)
2008-10-25 05:16 EDT, Anton
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 95533 None None None Never

  None (edit)
Description Anton 2008-10-24 03:59:51 EDT
Description of problem:
Converting big (>= 4Mb) HTML file into msword .doc crashes oowriter.

openoffice.org-writer-2.4.1-17.6.fc9.i386

How reproducible:


Steps to Reproduce:
1. Open big html file with pictures and lots of tables
2. Try to save is as msword 

Actual results:
crash info:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-8-i386
(IV)   kernel is: Linux 2.6.26.5-45.fc9.i686 #1 SMP Sat Sep 20 03:45:00 EDT 2008 i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.1-17.6.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 9 (Sulphur)
(VV)   LANG is: en_US.utf8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda7             34685288  22006488  10916876  67% /home
/dev/sda5             20161172   7896296  11240736  42% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x584fb68: 0x1af910: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x20b68
0x58504a3: 0x1af910: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x214a3
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x869df8: 0x85b5ec: /usr/lib/openoffice.org/program/libsw680li.so + 0x545df8
0x86a201: 0x85b5ec: /usr/lib/openoffice.org/program/libsw680li.so + 0x546201
0x86cb57: 0x85b5ec: /usr/lib/openoffice.org/program/libsw680li.so + 0x548b57
0x86dcc3: 0x85b5ec: /usr/lib/openoffice.org/program/libsw680li.so + 0x549cc3
0x86e2bf: 0x85b5ec: /usr/lib/openoffice.org/program/libsw680li.so + 0x54a2bf
0x83e4c8: 0x85b5ec: /usr/lib/openoffice.org/program/libsw680li.so + 0x51a4c8
0x83e55b: 0x85b5ec: /usr/lib/openoffice.org/program/libsw680li.so + 0x51a55b
0x7bc078: 0x85b5ec: /usr/lib/openoffice.org/program/libsw680li.so + 0x498078
0x9093e7: 0x85b5ec: /usr/lib/openoffice.org/program/libsw680li.so + 0x5e53e7
0x1b8c5bc: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1205bc
0x1b8c80d: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x12080d
0x1b8ce97: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x120e97
0x1b92961: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x126961
0x1bc0065: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x154065
0x1bc6319: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x15a319 (SfxBaseModel::storeAsURL(rtl::OUString const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xbf)
0x1bcfa4c: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x163a4c
0x1b93d7c: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x127d7c
0x1c0e854: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1a2854
0x1c07136: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x19b136
0x1c24d70: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b8d70
0x1c2522a: 0x2b87e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b922a
0x81b2895: 0x1d08e4: /usr/lib/openoffice.org/program/libfwk680li.so + 0xab895
0x81b2939: 0x1d08e4: /usr/lib/openoffice.org/program/libfwk680li.so + 0xab939
0x5fd4b81: 0x2d0724: /usr/lib/openoffice.org/program/libvcl680li.so + 0xdfb81
0x60a88b8: 0x2d0724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1b38b8 (Menu::Select() + 0x46)
0x60a1474: 0x2d0724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1ac474
0x60f5b0c: 0x2d0724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x200b0c
0x2ebd7c6: 0x645cc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x457c6 (SalDisplay::DispatchInternalEvent() + 0x96)
0x97c8ab2: 0x3f220: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11ab2
0x27280c1: 0xe1108: /lib/libglib-2.0.so.0 + 0x350c1
0x272a008: 0xe1108: /lib/libglib-2.0.so.0 + 0x37008 (g_main_context_dispatch + 0x1e8)
0x272d6b3: 0xe1108: /lib/libglib-2.0.so.0 + 0x3a6b3
0x272d871: 0xe1108: /lib/libglib-2.0.so.0 + 0x3a871 (g_main_context_iteration + 0x71)
0x97c8887: 0x3f220: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11887
0x2ec3d39: 0x645cc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x4bd39 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x5f832b9: 0x2d0724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e2b9 (Application::Yield(bool) + 0x57)
0x5f83307: 0x2d0724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e307 (Application::Execute() + 0x2b)
0x13e961: 0x61cf0: /usr/lib/openoffice.org/program/libsoffice.so + 0x2d961 (desktop::Desktop::Main() + 0x1a4f)
0x5f868c2: 0x2d0724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x918c2
0x5f86a5e: 0x2d0724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91a5e (SVMain() + 0x2c)
0x1330a1: 0x61cf0: /usr/lib/openoffice.org/program/libsoffice.so + 0x220a1 (main + 0xe5)
0x56775d6: 0x164d7c: /lib/libc.so.6 + 0x165d6 (__libc_start_main + 0xe6)
0x80484f1: 0x6dc: /usr/lib/openoffice.org/program/swriter.bin + 0x4f1 (main + 0x51)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00324000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00156000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x001ec000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00209000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00226000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00230000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00273000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x002e2000)
	libdl.so.2 => /lib/libdl.so.2 (0x002e6000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x002eb000)
	librt.so.1 => /lib/librt.so.1 (0x002f0000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x0072e000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0074c000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x0078d000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007cd000)
	libvclplug_gen680li.so => /usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x008af000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x0091a000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00bf1000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00cb7000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00d03000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00d6e000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so (0x00dee000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so (0x00ebd000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00f13000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00f88000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x00fb5000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x00fd6000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x07a5e000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x05f11000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x06016000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x073e9000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x0519a000)
	libm.so.6 => /lib/libm.so.6 (0x0387a000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0351a000)
	libc.so.6 => /lib/libc.so.6 (0x0607a000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x002fa000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x002fd000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x0118c000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x0393a000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x0347a000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00302000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x011b4000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x0343a000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x02b9c000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x045ff000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x047f8000)
	libz.so.1 => /lib/libz.so.1 (0x04591000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x011bd000)
	/lib/ld-linux.so.2 (0x00306000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x045af000)
	libcap.so.2 => /lib/libcap.so.2 (0x04541000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x04555000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x011ea000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x04546000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so (0x0469a000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x04b31000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x04640000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3 (0x0454b000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x047c7000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x0463b000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x04a2f000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x01204000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x01206000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x01222000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x0493d000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x01225000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb75a1000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x01587000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x07893000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2008-10-24 04:34:56 EDT
We'd really need the original document that crashes when exported to .doc to have a good chance of fixing this. Can you attach it here ?
Comment 2 Anton 2008-10-25 05:16:51 EDT
Created attachment 321497 [details]
html file which crashes oowriter

It's in Cyrillic if it matters.
Comment 3 Caolan McNamara 2008-10-25 06:17:27 EDT
Yup, confirmed crash on export
Comment 4 Caolan McNamara 2008-10-28 06:02:34 EDT
Fix will be in >= 2.4.1-17.7
Comment 5 Fedora Update System 2008-10-30 04:50:24 EDT
openoffice.org-2.4.2-18.1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/openoffice.org-2.4.2-18.1.fc9
Comment 6 Fedora Update System 2008-10-31 06:23:48 EDT
openoffice.org-2.4.2-18.1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.